import { LOGGER, MESSAGE, NOTIFICATION, ROUTER, STORE } from './constants';
export declare type SharedServiceKey = typeof LOGGER | typeof ROUTER | typeof STORE | typeof MESSAGE | typeof NOTIFICATION;
export declare class Shared {
    private store;
    register(key: SharedServiceKey, getter: () => any): void;
    get(key: SharedServiceKey): any;
    has(key: SharedServiceKey): boolean;
}
export declare const shared: Shared;
